#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a,b,x,y;
    scanf("%d %d",&a,&b);//rezultat na karju
    scanf("%d %d",&x,&y);//rezultat na poluvremenu
    int br_g_a_2,br_g_b_2;
    br_g_a_2 = a-x;
    br_g_b_2 = b-y;
    if(br_g_a_2 !=0 && br_g_b_2==0){
        printf("prvi");
    }
    else if(br_g_b_2 !=0 && br_g_a_2==0){
        printf("drugi");
    }
    else if(br_g_a_2 != 0 && br_g_b_2!=0){
        printf("?");
    }
    else printf("nijedan");
    return 0;
}